Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 631378 - sci-astronomy/esomidas-17.02 : iodevr.c:85:45: fatal error: rpc/rpc.h: No such file or directory
Summary: sci-astronomy/esomidas-17.02 : iodevr.c:85:45: fatal error: rpc/rpc.h: No suc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci Astronomy Herd
URL:
Whiteboard: ~arch only
Keywords:
Depends on:
Blocks: glibc-rpc
  Show dependency tree
 
Reported: 2017-09-19 07:24 UTC by Toralf Förster
Modified: 2018-04-22 19:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.44 KB, text/plain)
2017-09-19 07:24 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,417.54 KB, text/plain)
2017-09-19 07:24 UTC, Toralf Förster
Details
environment (environment,97.59 KB, text/plain)
2017-09-19 07:24 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.72 KB, application/x-bzip)
2017-09-19 07:24 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,1.76 KB, application/x-bzip)
2017-09-19 07:24 UTC, Toralf Förster
Details
sci-astronomy:esomidas-17.02:20170918-211048.log (sci-astronomy:esomidas-17.02:20170918-211048.log,19.33 KB, text/plain)
2017-09-19 07:24 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,26.79 KB, application/x-bzip)
2017-09-19 07:24 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-09-19 07:24:04 UTC
x86_64-pc-linux-gnu-gcc  -Dxrealloc=_rl_realloc -Dxmalloc=_rl_malloc -Dxfree=_rl_free -O2 -pipe -march=native -Wall     -I/var/tmp/portage/sci-astronomy/esomidas-17.02/work/17FEBpl1.2/incl    -fPIC   -I/var/tmp/portage/sci-astronomy/esomidas-17.02/work/17FEBpl1.2/incl -c  ospsystem.c
x86_64-pc-linux-gnu-gcc  -Dxrealloc=_rl_realloc -Dxmalloc=_rl_malloc -Dxfree=_rl_free -O2 -pipe -march=native -Wall     -I/var/tmp/portage/sci-astronomy/esomidas-17.02/work/17FEBpl1.2/incl    -fPIC   -I/var/tmp/portage/sci-astronomy/esomidas-17.02/work/17FEBpl1.2/incl -c  iodevr.c
iodevr.c:85:45: fatal error: rpc/rpc.h: No such file or directory
 #include <rpc/rpc.h>   /* XDR definitions */
                                             ^
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-desktop_20170905-225247

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)
  [5]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby22 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.5.1 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv sci-astronomy/esomidas
[ebuild  N    ] sci-astronomy/esomidas-17.02
Comment 1 Toralf Förster gentoo-dev 2017-09-19 07:24:07 UTC
Created attachment 495302 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-09-19 07:24:14 UTC
Created attachment 495304 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-09-19 07:24:17 UTC
Created attachment 495306 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-09-19 07:24:21 UTC
Created attachment 495308 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-09-19 07:24:24 UTC
Created attachment 495310 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-09-19 07:24:27 UTC
Created attachment 495312 [details]
sci-astronomy:esomidas-17.02:20170918-211048.log
Comment 7 Toralf Förster gentoo-dev 2017-09-19 07:24:30 UTC
Created attachment 495314 [details]
temp.tbz2
Comment 8 Andreas K. Hüttel gentoo-dev 2017-09-25 17:25:29 UTC
This package competes with ghostscript-gpl for the title of "most braindead build system ever". I wish ESO would hire someone clever to do an autotools port.
Comment 9 Larry the Git Cow gentoo-dev 2017-09-25 19:14:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d16f45da155f04acb3fdd94bc29d8af804406d78

commit d16f45da155f04acb3fdd94bc29d8af804406d78
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2017-09-25 19:13:23 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2017-09-25 19:14:03 +0000

    sci-astronomy/esomidas: Revision bump for libtirpc support, bug 631378
    
    Closes: https://bugs.gentoo.org/631378
    Package-Manager: Portage-2.3.10, Repoman-2.3.3

 sci-astronomy/esomidas/esomidas-17.02-r1.ebuild    | 149 +++++++++++++++++++++
 .../esomidas/files/esomidas-17.02-rpc.patch        |  33 +++++
 sci-astronomy/esomidas/metadata.xml                |   3 +
 3 files changed, 185 insertions(+)